Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1365452 - [abrt] gnome-software: as_app_has_kudo(): gnome-software killed by SIGSEGV
Summary: [abrt] gnome-software: as_app_has_kudo(): gnome-software killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 25
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:a57c4398ae0734a3f2546c97b86...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-09 10:00 UTC by Joachim Frieben
Modified: 2017-12-12 10:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:27:32 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2016-08-09 10:00 UTC, Joachim Frieben
no flags Details
File: cgroup (deleted)
2016-08-09 10:00 UTC, Joachim Frieben
no flags Details
File: core_backtrace (deleted)
2016-08-09 10:00 UTC, Joachim Frieben
no flags Details
File: dso_list (deleted)
2016-08-09 10:00 UTC, Joachim Frieben
no flags Details
File: environ (deleted)
2016-08-09 10:00 UTC, Joachim Frieben
no flags Details
File: exploitable (deleted)
2016-08-09 10:00 UTC, Joachim Frieben
no flags Details
File: limits (deleted)
2016-08-09 10:00 UTC, Joachim Frieben
no flags Details
File: maps (deleted)
2016-08-09 10:00 UTC, Joachim Frieben
no flags Details
File: mountinfo (deleted)
2016-08-09 10:00 UTC, Joachim Frieben
no flags Details
File: namespaces (deleted)
2016-08-09 10:00 UTC, Joachim Frieben
no flags Details
File: open_fds (deleted)
2016-08-09 10:00 UTC, Joachim Frieben
no flags Details
File: proc_pid_status (deleted)
2016-08-09 10:00 UTC, Joachim Frieben
no flags Details
File: var_log_messages (deleted)
2016-08-09 10:00 UTC, Joachim Frieben
no flags Details

Description Joachim Frieben 2016-08-09 10:00:12 UTC
Version-Release number of selected component:
gnome-software-3.21.4-1.fc25

Additional info:
reporter:       libreport-2.7.2
backtrace_rating: 3
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: as_app_has_kudo
executable:     /usr/bin/gnome-software
global_pid:     20801
kernel:         4.7.0-2.fc25.x86_64
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 as_app_has_kudo at as-app.c:567
 #1 gs_plugin_add_popular at gs-plugin-appstream.c:747
 #2 gs_plugin_loader_run_results at gs-plugin-loader.c:617
 #3 gs_plugin_loader_get_popular_thread_cb at gs-plugin-loader.c:1506
 #4 g_task_thread_pool_thread at gtask.c:1304
 #6 g_thread_proxy at gthread.c:784
 #8 ??

Comment 1 Joachim Frieben 2016-08-09 10:00:17 UTC
Created attachment 1189194 [details]
File: backtrace

Comment 2 Joachim Frieben 2016-08-09 10:00:19 UTC
Created attachment 1189195 [details]
File: cgroup

Comment 3 Joachim Frieben 2016-08-09 10:00:20 UTC
Created attachment 1189196 [details]
File: core_backtrace

Comment 4 Joachim Frieben 2016-08-09 10:00:21 UTC
Created attachment 1189197 [details]
File: dso_list

Comment 5 Joachim Frieben 2016-08-09 10:00:23 UTC
Created attachment 1189198 [details]
File: environ

Comment 6 Joachim Frieben 2016-08-09 10:00:24 UTC
Created attachment 1189199 [details]
File: exploitable

Comment 7 Joachim Frieben 2016-08-09 10:00:25 UTC
Created attachment 1189200 [details]
File: limits

Comment 8 Joachim Frieben 2016-08-09 10:00:28 UTC
Created attachment 1189201 [details]
File: maps

Comment 9 Joachim Frieben 2016-08-09 10:00:29 UTC
Created attachment 1189202 [details]
File: mountinfo

Comment 10 Joachim Frieben 2016-08-09 10:00:31 UTC
Created attachment 1189203 [details]
File: namespaces

Comment 11 Joachim Frieben 2016-08-09 10:00:32 UTC
Created attachment 1189204 [details]
File: open_fds

Comment 12 Joachim Frieben 2016-08-09 10:00:34 UTC
Created attachment 1189205 [details]
File: proc_pid_status

Comment 13 Joachim Frieben 2016-08-09 10:00:35 UTC
Created attachment 1189206 [details]
File: var_log_messages

Comment 14 Fedora End Of Life 2017-11-16 14:39:47 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2017-12-12 10:27:32 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.